Last Comment Bug 651307 - For Flash Text Input, previous characters disappear when changing IME input from one type to another
: For Flash Text Input, previous characters disappear when changing IME input f...
Status: VERIFIED FIXED
: inputmethod
Product: Core
Classification: Components
Component: Widget: Cocoa (show other bugs)
: Trunk
: x86_64 Mac OS X
: -- normal (vote)
: mozilla6
Assigned To: Masayuki Nakano [:masayuki] (Mozilla Japan)
:
: Markus Stange [:mstange]
Mentors:
http://www.playercore.com/bugfiles/27...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-04-19 17:15 PDT by Clyde Sy
Modified: 2011-07-21 02:11 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Patch v1.0 (2.39 KB, patch)
2011-05-10 00:16 PDT, Masayuki Nakano [:masayuki] (Mozilla Japan)
smichaud: review+
Details | Diff | Splinter Review

Description Clyde Sy 2011-04-19 17:15:25 PDT
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 6.1; en-US) AppleWebKit/534.16 (KHTML, like Gecko) Chrome/10.0.648.204 Safari/534.16
Build Identifier: Firefox 4.0.1

When you are inputting Flash Text for Firefox 4. If you change the IME input from one type to the next, the characters entered previously disappeared.





Reproducible: Always

Steps to Reproduce:
1. Open TextArea-3.swf that is simple swf that contains the flash text field on Firefox4 64 bit.
 
2. Focus the text field.
 
3. Select Japanese Hiragana IME.
 
4. Type Japanese Hiragana Characters such as [aaaaa] "あああああ"
 
5. Change the Input Mode to Japanese Katakana IME.
Actual Results:  
The complex input window with typed characters "あああああ" disappears.

Expected Results:  
In general, if it was the same IME, even if the conversion mode ( such as Hiragana to Katakana ) was changed, the complex input window keeps displaying. user can continue inputting characters from IME.

In the Firefox4 code at:
http://hg.mozilla.org/mozilla-central/file/27d6a4a5e20f/widget/src/cocoa/ComplexTextInputPanel.mm

It cancel the IME inputs when input mode was changed in this code :
----------------------------
- (void)keyboardInputSourceChanged:(NSNotification *)notification
 {
   [self cancelComposition];
}
----------------------------
Comment 1 Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-04-21 02:00:51 PDT
Sure.

Steven, Josh:

Why did you write it? Is there a problem?
Comment 2 Josh Aas 2011-04-21 08:44:18 PDT
I don't remember why I wrote it that way.
Comment 3 Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-04-21 15:43:25 PDT
Okay, I'll write a patch which can switch the behavior by pref. If it doesn't have problem in next a couple of months, we should remove it.
Comment 4 Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-05-10 00:16:05 PDT
Created attachment 531257 [details] [diff] [review]
Patch v1.0
Comment 5 Steven Michaud [:smichaud] (Retired) 2011-05-10 13:38:40 PDT
Comment on attachment 531257 [details] [diff] [review]
Patch v1.0

This looks fine to me.
Comment 6 Masayuki Nakano [:masayuki] (Mozilla Japan) 2011-05-10 21:56:45 PDT
http://hg.mozilla.org/mozilla-central/rev/e50a469db691
Comment 7 Clyde Sy 2011-05-17 09:53:55 PDT
I verified that the patch fixes the issue on the nightly build. Thank you for the fix.
Comment 8 Clyde Sy 2011-05-17 09:54:12 PDT
I verified that the patch fixes the issue on the nightly build. Thank you for the fix.
Comment 9 George Carstoiu 2011-07-21 02:11:14 PDT
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:6.0) Gecko/20100101 Firefox/6.0 - beta 2
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:8.0a1) Gecko/20110720 Firefox/8.0a1

Verified issue using steps from Comment 0, on both 6.0b2 and 8.0a1. Setting status to Verified Fixed.

Note You need to log in before you can comment on or make changes to this bug.